import { r as registerInstance, h } from './index-0861cb0b.js';
import { D as Dropdown } from './Dropdown-7fb2694c.js';

const UIDropdown = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.open = false;
  }
  render() {
    return (h(Dropdown, Object.assign({}, this), h("slot", null)));
  }
};

export { UIDropdown as ui_dropdown };
